Bug 596488 - X.org hangs and will not shut down, requires reboot
X.org hangs and will not shut down, requires reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 15:50 EDT by Dan Davis
Modified: 2018-04-11 13:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log for error (44.22 KB, text/plain)
2010-05-26 15:50 EDT, Dan Davis
no flags Details
Xorg.0.log of original crash (47.49 KB, application/octet-stream)
2010-05-30 10:57 EDT, Dan Davis
no flags Details
dmesg output (92.99 KB, text/plain)
2010-05-30 11:55 EDT, Dan Davis
no flags Details
system log (/var/log/messages) (313.90 KB, text/plain)
2010-05-30 11:59 EDT, Dan Davis
no flags Details

  None (edit)
Description Dan Davis 2010-05-26 15:50:30 EDT
Created attachment 417009 [details]
/var/log/Xorg.0.log for error

Description of problem:
When visiting certain websites in either firefox or Konquerer, X.org hangs and begins utilizing 100% of the CPU.  The system becomes non-responsive from the keyboard and mouse, with even Ctrl-Alt-F# refusing to change ttys, and Ctrl-Alt-Backspace does not kill X (I enabled it to test with this problem).


Version-Release number of selected component (if applicable):
X.org 1.8.0, Firefox 3.6.3

How reproducible: Approximately 95% of the time I visit www.fidelity.com


Steps to Reproduce:
1. Open Firefox or Konquerer
2. Visit www.fidelity.com
3. System hangs during page load.
  
Actual results:
System becomes non-reponsive (mouse cursor will move, but clicking yields no response, keystrokes yield no response) except through remote login.  
X shows 100% CPU usage via remote login.  Killing X via remote login yields
no change in the system state (though X does stop running).


Expected results:
I see my the web page I'm looking for and continue using my computer without a reboot.


Additional info:
Comment 1 Dan Davis 2010-05-27 10:54:48 EDT
The issue has been temporarily fixed by switching to the nvidia proprietary driver.  Thus I suspect the problem may be in the nouveau driver.
Comment 2 Matěj Cepl 2010-05-28 09:33:03 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log; attachment in comment 0 is /var/log/dmesg, which is usually quite useless for Xorg issues)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Dan Davis 2010-05-30 10:57:19 EDT
Created attachment 418039 [details]
Xorg.0.log of original crash

Replaces mistakenly attached dmesg.
Comment 4 Dan Davis 2010-05-30 11:55:02 EDT
Created attachment 418051 [details]
dmesg output
Comment 5 Dan Davis 2010-05-30 11:59:19 EDT
Created attachment 418052 [details]
system log (/var/log/messages)

There is no xorg.conf file.  The other requested files have been attached.  I hope this helps.

Dan Davis
Comment 6 Bug Zapper 2011-06-02 09:21:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:44:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.